OpenSSL 0.9.6x/0.9.7x のNULLポインタでリモートからDoS攻撃が可能な脆弱性が見つかる | ScanNetSecurity
2021.03.09(火)

OpenSSL 0.9.6x/0.9.7x のNULLポインタでリモートからDoS攻撃が可能な脆弱性が見つかる

サイバーディフェンス社からの情報によると、複数のベンダが実装しているOpenSSL ProjectのOpenSSLディストリビューションのバージョン0.9.6cから0.9.6kとバージョン0.9.7aから0.9.7cで、リモートから攻撃可能な脆弱性が見つかった。これにより、DoS攻撃が実行される可能

製品・サービス・業界動向 業界動向
サイバーディフェンス社からの情報によると、複数のベンダが実装しているOpenSSL ProjectのOpenSSLディストリビューションのバージョン0.9.6cから0.9.6kとバージョン0.9.7aから0.9.7cで、リモートから攻撃可能な脆弱性が見つかった。これにより、DoS攻撃が実行される可能性がある。この脆弱性はnullポインタの処理部分に存在する。ベンダのアップデートはリリースされているが、暫定処置は公開されていない。この脆弱性は、do_change_cipher_spec()関数に割り当てられるNULLポインタが原因で発生する。不正なSSL/TLSハンドシェークにより、OpenSSLライブラリを使用しているアプリケーションがクラッシュする可能性がある。

※この情報は株式会社サイバーディフェンス( http://www.cyberd.co.jp/ )より提供いただいております。
サイバーディフェンス社の CyberNoticeBasic サービスの詳細については下記のアドレスまでお問い合せください。
 問い合わせ先: scan@ns-research.jp
 情報の内容は以下の時点におけるものです
 【11:34 GMT、6、23、2005】
《ScanNetSecurity》

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★会員限定記事、週 1 回のメルマガ、人気ニュースランキング、特集一覧をお届け…無料会員登録はアドレスのみで所要 1 分程度 ★★
★★会員限定記事、週 1 回のメルマガ、人気ニュースランキング、特集一覧をお届け…無料会員登録はアドレスのみで所要 1 分程度 ★★

登録すれば、記事一覧、人気記事ランキング、BASIC 会員限定記事をすべて閲覧できます。毎週月曜朝には一週間のまとめメルマガをお届けします(BASIC 登録後 PREMIUM にアップグレードすれば全ての限定コンテンツにフルアクセスできます)。

×